C# Inventor二次开发—创建二维草图

2019-06-25 15:16:42 admin 50

以下是创建二维草图的步骤:

一、创建(或打开)文档(零件或部件)

//创建零件文档(也可以打开现有文档,或者创建(打开)部件文档)

智能设计
1 //创建零件文档(也可以打开现有文档,或者创建(打开)部件文档)2 PartDocument partDoc = inventorApp.Documents.Add(3 DocumentTypeEnum.kPartDocumentObject,4 inventorApp.FileManager.GetTemplateFile(DocumentTypeEnum.kPartDocumentObject, SystemOfMeasureEnum.kDefaultSystemOfMeasure, DraftingStandardEnum.kDefault_DraftingStandard, null),5 true) as PartDocument;6 //comDef为组件定义对象7 var compDef = partDoc.ComponentDefinition;
智能设计

二、定义工作平面

1 //compDef.WorkPlanes[1]是YZ平面,compDef.WorkPlanes[2]是XZ平面,compDef.WorkPlanes[3]是XY平面,也可以通过AddByLineAndTangent等方法自定义工作平面(如图1)。2 var workPlane = compDef.WorkPlanes[2];

 智能设计

1 自定义工作平面

三、创建二维草图

智能设计
1 //sketch2d 为平面草图对象2 PlanarSketch sketch2d = compDef.Sketches.Add(workPlane);3 //tranGeo为几何图形创建对象,用于创建点、向量、矩阵等几何对象4 var tranGeo = inventorApp.TransientGeometry;5 //向二维草图sketch2d添加直线,注意:tranGeo.CreatePoint2d(10, 0)这里单位是cm,即添加的直线长度是100mm6 sketch2d.SketchLines.AddByTwoPoints(tranGeo.CreatePoint2d(0, 0), tranGeo.CreatePoint2d(10, 0));
智能设计

四、草图操作

这里只介绍几个常用的草图操作:

(1)添加直线

智能设计

 (2)添加圆弧

智能设计

(3)添加圆

智能设计

 



首页
产品
新闻
联系